Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.manager.servlets.jsp.taglib
Class GetNodeTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          com.bea.content.manager.servlets.jsp.taglib.BaseTag
              com.bea.content.manager.servlets.jsp.taglib.GetNodeTag

All Implemented Interfaces
  Serializable, javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class GetNodeTag

extends BaseTag

JSP Tag implementation for getting a node by its path.

Retrieves node using the path of the Node. Must start with "/" + the repository name. If the path is not specified, then the tag will attempt to retrive the node from the common cm request attribute. This would be the case if the node was set using the setNode tag, or if it was set through the display template tags.

See Also
  Serialized Form

Field Summary
`protected Node` | `node` Deprecated
`protected String` | `path` The path.

Fields inherited from class com.bea.content.manager.servlets.jsp.taglib.BaseTag
`cacheId, cacheScope, cacheTimeout, failOnError, useCache`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`GetNodeTag()`

Method Summary
`int` | `doStartTag()` Run the tag.
`String` | `getPath()` Get the path.
`void` | `release()` Release this tag.
`void` | `setPath(String path)` Set the path.

Methods inherited from class com.bea.content.manager.servlets.jsp.taglib.BaseTag
`getCacheId, getCacheScope, getCacheTimeout, getFailOnError, getHttpSession, getUseCache, getUserId, setCacheId, setCacheScope, setCacheTimeout, setCacheTimeout, setFailOnError, setFailOnError, setUseCache, setUseCache, toDictionary`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### path

    protected String path

  The path.

### node

    protected Node node

  Deprecated
  The Nodes returned from the get.

Constructor Detail

### GetNodeTag

    public GetNodeTag()

Method Detail

### release

    public void release()

  Release this tag.

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `BaseTag`

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Run the tag.

  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `javax.servlet.jsp.tagext.TagSupport`
  Throws
    `javax.servlet.jsp.JspException`

### getPath

    public String getPath()

  Get the path.

### setPath

    public void setPath(String path)

  Set the path.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.